package com.danding.yang800.Entity;

/**
 * Created by Administrator on 2017/12/28.
 */
public class TicketNotUseInfo {
    int promotionId;
    int discountFee;
    String name;
    String condition;
    String userTimeRange;
    boolean canShare;
    int status;
    int userPromotionId;
    String userReceiveName;
    String userReceiveAvatar;
    String userReceiveTime;

    public TicketNotUseInfo(int promotionId, int discountFee, String name, String condition, String userTimeRange, boolean canShare, int status, int userPromotionId, String userReceiveName,
                            String userReceiveAvatar, String userReceiveTime) {
        this.promotionId = promotionId;
        this.discountFee = discountFee;
        this.name = name;
        this.condition = condition;
        this.userTimeRange = userTimeRange;
        this.canShare = canShare;
        this.status = status;
        this.userPromotionId = userPromotionId;
        this.userReceiveName = userReceiveName;
        this.userReceiveAvatar = userReceiveAvatar;
        this.userReceiveTime = userReceiveTime;
    }

    public int getPromotionId() {
        return promotionId;
    }

    public void setPromotionId(int promotionId) {
        this.promotionId = promotionId;
    }

    public int getDiscountFee() {
        return discountFee;
    }

    public void setDiscountFee(int discountFee) {
        this.discountFee = discountFee;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCondition() {
        return condition;
    }

    public void setCondition(String condition) {
        this.condition = condition;
    }

    public String getUserTimeRange() {
        return userTimeRange;
    }

    public void setUserTimeRange(String userTimeRange) {
        this.userTimeRange = userTimeRange;
    }

    public boolean isCanShare() {
        return canShare;
    }

    public void setCanShare(boolean canShare) {
        this.canShare = canShare;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getUserPromotionId() {
        return userPromotionId;
    }

    public void setUserPromotionId(int userPromotionId) {
        this.userPromotionId = userPromotionId;
    }

    public String getUserReceiveName() {
        return userReceiveName;
    }

    public void setUserReceiveName(String userReceiveName) {
        this.userReceiveName = userReceiveName;
    }

    public String getUserReceiveAvatar() {
        return userReceiveAvatar;
    }

    public void setUserReceiveAvatar(String userReceiveAvatar) {
        this.userReceiveAvatar = userReceiveAvatar;
    }

    public String getUserReceiveTime() {
        return userReceiveTime;
    }

    public void setUserReceiveTime(String userReceiveTime) {
        this.userReceiveTime = userReceiveTime;
    }
}
